For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceSDKs
DocsAPI ReferenceSDKs
  • Overview
    • API reference
  • Mesh API
      • POSTInit Upload
      • GETList Files
      • GETGet File Status
      • POSTTrigger Embedding Bulk
      • POSTVector Search
LogoLogo
Mesh APIFiles & RAG

List Files

||View as Markdown|
GET
https://api.meshapi.ai/v1/files
GET
/v1/files
$curl https://api.meshapi.ai/v1/files \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "files": [
3 {
4 "file_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
5 "upload_status": "completed",
6 "file_name": "project_specifications.pdf",
7 "file_type": "document",
8 "mime_type": "application/pdf",
9 "size_bytes": 245760,
10 "asset_url": "https://cdn.meshapi.ai/assets/project_specifications.pdf",
11 "signed_url": "https://cdn.meshapi.ai/signed/project_specifications.pdf?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
12 "signed_url_expires_at": "2024-01-15T09:30:00Z",
13 "embedding_status": "embedded",
14 "created_at": "2024-01-10T14:22:00Z",
15 "updated_at": "2024-01-12T16:45:00Z"
16 }
17 ],
18 "total": 1,
19 "limit": 1,
20 "offset": 0
21}
Was this page helpful?
Previous

Init Upload

Next

Get File Status

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional1-200Defaults to 50
offsetintegerOptional>=0Defaults to 0

Response

Successful Response
fileslist of objects
totalinteger
limitinteger
offsetinteger

Errors

422
Unprocessable Entity Error